@import "../config";

.introjs-tooltip {
  background-color: $modal-content-bg;
  color: $text-muted-dark;
  font-size: $h5-font-size;
}

.introjs-button {
  padding: .3em .8em;
  font-size: 11px;
}

.introjs-tooltiptext .introjs-button {
  margin: 10px 0 0;
}

.introjs-tooltip-header {
  display: none;
}

.introjs-helperNumberLayer {
  font-family: inherit;
  font-size: inherit;
  color: $white;
  background: $primary;
  background: -webkit-gradient(linear, left top, left bottom, from($primary), to($secondary));
  background: -webkit-linear-gradient(top, $primary 0%, $secondary 100%);
  background: -o-linear-gradient(top, $primary 0%, $secondary 100%);
  background: linear-gradient(to bottom, $primary 0%, $secondary 100%);
  filter: "progid:DXImageTransform.Microsoft.gradient(startColorstr='$primary', endColorstr='$secondary', GradientType=0)";
  filter: "progid:DXImageTransform.Microsoft.Shadow(direction=135, strength=2, color=ff0000)";
  -webkit-box-shadow: 0 2px 5px rgba(33, 33, 33, 0.4);
          box-shadow: 0 2px 5px rgba(33, 33, 33, 0.4);
}

.introjs-hint-pulse {
  border: 5px solid lighten($dark, 30%) ;
  background-color: rgba($dark, .04) ;
}

.introjs-hint:hover > .introjs-hint-pulse {
border: 5px solid lighten($dark, 20%) ;
}

.introjs-tooltiptext > p {
  margin: 0;
}

.introjs-hint-dot {
  border: 10px solid $primary;
}
